Bug 1018204 - unable to share files with mate-user-share or gnome-user-share
unable to share files with mate-user-share or gnome-user-share
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 08:33 EDT by antonio montagnani
Modified: 2015-02-17 12:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:37:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description antonio montagnani 2013-10-11 08:33:46 EDT
Description of problem:
mate-user-share and gnome-user share don't work if firewalld is enabled

Version-Release number of selected component (if applicable):
firewalld-0.3.5-1

How reproducible:
always

Steps to Reproduce:
1.enable gnome-user-share or mate-user-share
2.try toconnect to shared public folders
3.

Actual results:
no connection to shared Public folders

Expected results:
to be able to share files 

Additional info:

see also bug 1013385
Comment 1 Jiri Popelka 2013-10-11 11:10:04 EDT
To be able to change this we need to know what ports are the mate-user-share & gnome-user-share using.

From bug #1013385, comment #17 and bug #179187, comment #23 it seems that it's not any pre-defined port but a random port (from range 32768-65535), in which case we could not do anything with it in firewalld.

If the port is randomly selected then the only possibility would be that the application asks (via D-Bus) firewalld to open a port, because only the application know what port it actually listens on - which I think is https://bugzilla.gnome.org/show_bug.cgi?id=336201#c5
about.
Comment 2 antonio montagnani 2013-10-11 12:44:51 EDT
This point is not clear to me....one of the advantages of firewalld should have been the opening of ports required by application (especially when they are different) and it should have been working since long ago.

Am I wrong??
Comment 3 Jiri Popelka 2013-10-14 07:22:36 EDT
Well ... yes and no.

Yes, firewalld opens appropriate ports based on request from user/application.
No, if you expect it to work the same way as firewall on MS Windows, i.e. that it's able to discover *itself* what port the application uses.
Firewalld needs this information *either* stored beforehand - that's the concept of services we have, when firewalld knows that http uses 80, so the application/user only tells firewalld to open http service.
*Or* the application/user has to tell firewalld what port to actually open.

If the application uses random port and doesn't let firewalld know which one, then firewalld can't do anything with it.
The only possibility for user in this case is to open whole port range or completely switch firewall off, which are really bad work-arounds.

Ideal would be if the application during its start told (via D-Bus) firewalld to open port xyz, which is AFAICT
https://bugzilla.gnome.org/show_bug.cgi?id=336201#c5
Comment 4 Fedora End Of Life 2015-01-09 15:12:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:37:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.